API referenceUser preferences
Set Home Layout
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/workspaces/string/preferences/home-layout" \ -H "Content-Type: application/json" \ -d '{ "widgets": [ { "id": "string", "kind": "string", "x": 0, "y": 0, "w": 0, "h": 0 } ] }'{ "data": { "homeLayout": { "widgets": [ { "id": "string", "kind": "string", "x": 0, "y": 0, "w": 0, "h": 0, "config": {} } ] } }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}